Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.soap
Class SOAPFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.xml.rpc.soap.SOAPFaultException

All Implemented Interfaces:
  Serializable

public class SOAPFaultException
extends RuntimeException

The SOAPFaultException exception represents a SOAP fault. The message part in the SOAP fault maps to the contents of faultdetail element accessible through the getDetail method on the SOAPFaultException. The method createDetail on the javax.xml.soap.SOAPFactory creates an instance of the javax.xml.soap.Detail. The faultstring provides a human-readable description of the SOAP fault. The faultcode element provides an algorithmic mapping of the SOAP fault. Refer to SOAP 1.1 and WSDL 1.1 specifications for more details of the SOAP faults.

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org, Rahul Sharma (javadoc)
See Also:
  Serialized Form

Constructor Summary
`SOAPFaultException(javax.xml.namespace.QName faultCode, String faultString, String faultActor, Detail faultDetail)`

Method Summary
`Detail` | `getDetail()`
`String` | `getFaultActor()`
`javax.xml.namespace.QName` | `getFaultCode()`
`String` | `getFaultString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOAPFaultException

    public SOAPFaultException(javax.xml.namespace.QName faultCode,
                              String faultString,
                              String faultActor,
                              Detail faultDetail)

Method Detail

### getFaultActor

    public String getFaultActor()

### getFaultCode

    public javax.xml.namespace.QName getFaultCode()

### getDetail

    public Detail getDetail()

### getFaultString

    public String getFaultString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.